Returns the text decoration

- « ImagickDraw::getTextAntialias

- ImagickDraw::getTextEncoding »

- PHP Manual
- ImagickDraw
- Returns the text decoration

# ImagickDraw::getTextDecoration

(PECL imagick 2, PECL imagick 3)

ImagickDraw::getTextDecoration — Returns the text decoration

### Description

public ImagickDraw::getTextDecoration(): int
Warning

This function is currently not documented; only its argument list is available.

Returns the decoration applied when annotating with text.

### Return Values

Returns a DECORATION constant (`imagick::DECORATION_*`), and 0 if no decoration is set.